# xpyre/module.mk
# $Id: module.mk,v 1.5 2002/12/08 02:26:08 andy Exp $

TARGETS += $(DIR)/font.h $(DIR)/font.s $(DIR)/font.dat

SHLIBS += $(DIR)/xpyre.so

SRC-$(DIR)/xpyre.so := $(DIR)/xmms.c $(DIR)/timer.c $(DIR)/util.c
SRC-$(DIR)/xpyre.so += $(DIR)/draw.c $(DIR)/main.c $(DIR)/font.s

LIBS-$(DIR)/xpyre.so := -lpthread $(shell xmms-config --libs)
LIBS-$(DIR)/xpyre.so += $(shell allegro-config --libs)

# TODO: Figure out how to have target-specific CFLAGS variables
CFLAGS += -fPIC $(filter-out -I/usr/include -I/usr/local/include,$(shell\
		xmms-config --cflags) $(shell allegro-config --cflags))

# Font source files
$(DIR)/font.s $(DIR)/font.h: $(DIR)/font.dat
	@echo "* Building font source files..."
	$(HUSH)dat2s -p "my" -h $(DIR)/font.h -o $(DIR)/font.s $< $(HUSH2)

# Font datafile
$(DIR)/font.dat: $(DIR)/font.pcx
	@echo "* Building font datafile..."
	$(HUSH)dat -t FONT -a $@ $< $(HUSH2)

# Installation
install-$(DIR): $(HOME)/.xmms/Plugins/xpyre.so

$(HOME)/.xmms/Plugins/xpyre.so: $(DIR)/xpyre.so
	@echo "* Installing $<..."
	$(HUSH)cp -f $< $@

# EOF
